// IOEditView.h : interface of the CIOEditView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IOEDITVIEW_H__8910A457_5041_4A54_88BC_6BDD29014D57__INCLUDED_)
#define AFX_IOEDITVIEW_H__8910A457_5041_4A54_88BC_6BDD29014D57__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CIOEditView : public CEditView
{
protected: // create from serialization only
	CIOEditView();
	DECLARE_DYNCREATE(CIOEditView)

// Attributes
public:
	CIOEditDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIOEditView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL m_bInsert;
	BOOL m_Edit;
	virtual ~CIOEditView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CIOEditView)
	afx_msg void OnViewEditwindow();
	afx_msg void OnUpdateViewEditwindow(CCmdUI* pCmdUI);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in IOEditView.cpp
inline CIOEditDoc* CIOEditView::GetDocument()
   { return (CIOEditDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IOEDITVIEW_H__8910A457_5041_4A54_88BC_6BDD29014D57__INCLUDED_)
